using System;
using System.Collections.Generic;
using System.Collections;
using System.Globalization;
using System.Linq;
using System.Text;
using System.IO;

using Tekla.Structures.Drawing;
using Tekla.Structures.Drawing.UI;

namespace Tekla.Technology.Akit.UserScript
{
    public class Script
    {
        public static void Run(Tekla.Technology.Akit.IScript akit)
        {
            
            ArrayList ObjToSelect = new ArrayList();
            
            DrawingHandler DrawingHandler = new DrawingHandler();

            if (DrawingHandler.GetConnectionStatus())
            {
                Drawing CurrentDrawing = DrawingHandler.GetActiveDrawing();
                if (CurrentDrawing != null)
                {
                    DrawingObjectEnumerator Enum = CurrentDrawing.GetSheet().GetAllObjects();

                    foreach (DrawingObject drawingObject in DrawingHandler.GetDrawingObjectSelector().GetSelected())
                    {
                        DrawingObjectEnumerator mrelated = drawingObject.GetRelatedObjects();
                            while (mrelated.MoveNext())
                            {
                                ObjToSelect.Add(mrelated.Current);
                            }
                    }

                }
                CurrentDrawing.CommitChanges();
            }

            DrawingHandler.GetDrawingObjectSelector().SelectObjects(ObjToSelect, false);
        }
    }
}